const Express = require('express')
const webpackDevMiddleware = require('./middlewares/webpack.dev')
const appConfig = require('../utils/get-app-config')

module.exports = function createApp(options, onStart = () => {}) {
  const app = Express()

  app.use(Express.static('public'))

  if (process.env.development) {
    webpackDevMiddleware(app)
  }

  app.listen(appConfig.appPort, function () {
    console.log(`server is running in http://localhost:${appConfig.appPort}`)
  })

  // 服务器启动回调
  onStart()

  return app
}